.pt-o-game-tf3 {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0 2rem;

    &__container{
        height: inherit;
        width: 100%;
        display: flex;
        flex-direction: row;
    }
    &__left {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40%;
        height: 100%;
        background-color: #F3F8FD;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
        padding: 2rem;

        .__image{
            height: 100%;
            max-width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: zoom-in;

            img{
                max-width: 100%;
                max-height: 100%;
                height: auto;
                border-radius: 15px;
            }
        }
    }

    &__right {
        width: 60%;
        height: 100%;
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
        background-color: #fff;

        & > .__container {
            height: 100%;
            padding: 1rem 1.8rem 1.4rem 1.8rem;
            display: flex;
            flex-direction: column;
        
            & > .__header {
                margin: 1rem 1.2rem 1.6rem;
                
                & > .__description {
                font-family: 'mont_sb';
                font-size: 1.8rem;
                line-height: 1.4;
                text-align: center;
                color:$dodgerBlue;
                }
            }
        
            & > .__content {
                margin: 0 -1rem;
                flex: 1;
                display: flex;
                flex-direction: column;
                padding: 0 25px;
                width: initial;
                max-height: calc(100% - 60px);
                overflow-y: auto;

                & > .__example{
                    border: 1px solid #D4E9FF;
                    padding: 10px 15px;
                    border-radius: 15px;
                    line-height: 1.6;

                    .header-example{
                        span{
                            color:$dodgerBlue;
                            font-size: 1.8rem;
                            font-family: 'mont_m';
                        }
                    }

                    .list-example {
                        display: flex;
                        align-items: center;
                        line-height: 1.8;
                        margin-bottom: 2rem;

                        &:last-child{
                            margin-bottom: 0;
                        }

                        .__example-text{
                            flex: 1;
                            white-space: normal;
                            word-wrap: break-word;

                            & > span{
                                color: $gunPowder;
                                font-size: 1.55rem;
                                line-height: 1.4;
                                font-family: 'mont_m';
                            }
                        }
                        .__result{
                            width: auto;
                            flex: none;
                            font-family: 'mont_sb';
                            text-align: end;
                            span{
                                font-size: 1.55rem;
                            }
                            &.True{
                                span{
                                    color: $limeGreen;
                                }
                            }
                            &.False{
                                span{
                                    color: $salmon;
                                }
                            }
                        }
                    }
                }
                
                & > .__play-answers {
                    display: flex;
                    flex-direction: column;
                    padding-top: 2vh;

                    .header-answer {
                        text-align: left;
                        padding-left: 15px;

                        span{    
                            color:$dodgerBlue;
                            font-family: 'mont_m';
                            font-size: 1.8rem;
                        }
                    }
                    
                    .list-answers{
                        padding: 10px 0;
                        width: 100%;
                        display: flex;
                        flex-direction: column;

                        &__item{
                            display: flex;
                            flex-direction: row;
                            align-items: center;
                            flex-wrap: wrap;

                            &:nth-child(odd){
                                .__answer-text{
                                    background: #f3f8fd;
                                }
                            }
                            &:nth-child(2n){
                                .__answer-text{
                                    background: #e9f4ff;
                                }
                            }
                            .__answer-text{            
                                border-radius: 15px;
                                // border: 1px solid #D4E9FF;
                                flex: 1;
                                min-height: 35px;
                                margin: 10px 0;
                                padding: 10px 15px;

                                &.--danger {
                                    span{
                                        color: $salmon;
                                    }
                                }
                    
                                &.--success {
                                    span{
                                        color: $limeGreen;
                                    }
                                }
                                
                                span{
                                    font-family: 'mont_m';
                                    font-size: 1.6rem;
                                    line-height: 1.4;
                                    color: $gunPowder;
                                }
                            }
    
                            .__result{
                                width: 9rem;
                                display: flex;
                                justify-content: flex-end;
    
                                .rs-toggle{   
                                    .rs-toggle-presentation{
                                        width: 62px;
                                        text-align: center;
                                        background: $salmon;
                                    }
                                }
                                .rs-toggle-checked {
                                    .rs-toggle-presentation{
                                        background: $kellyGreen;
                                    }
                                }
                            }
                        }
                    }                    
                }
            }
            #content-scrollbar::-webkit-scrollbar {
                width: 7px;
            }
            #content-scrollbar::-webkit-scrollbar-track {
                background-color: #fff;
                border-radius: 10px;
                // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            }
            #content-scrollbar::-webkit-scrollbar-thumb {
                background:#d4e9ff!important;
                border-radius: 10px;
            }
        }
    }
}

@media only screen and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
    .pt-o-game-tf3 {
        &__container{
            padding: 0 20px;
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
        }
        &__left {
            width: 100%;
            height: 160px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: unset;
            padding: 8px;

        }
        &__right {
            width: 100%;
            height: calc(100% - 160px);
            position: relative;
            border-bottom-left-radius: 20px;
            border-top-right-radius: unset;

            & > .__container{
                & > .__header{
                    margin: 1rem 1.2rem;
                    .__description{
                        span{
                            font-size: 1.6rem;
                            line-height: 1.4;
                        }
                    }
                }
                & > .__content{

                    & > .__example{
                        .header-example{
                            span{
                                font-size: 1.6rem;
                            }
                        }
                        .list-example{
                            margin-bottom: 1rem;

                            &:last-child{
                                margin-bottom: 0;
                            }
                            .__example-text{
                                width: calc(100% - 5rem);
                                span{
                                    font-size: 1.35rem;
                                    line-height: 1.4;
                                }
                            }
                            .__result{
                                span{
                                    font-size: 1.35rem;
                                    line-height: 1.4;
                                }
                            }
                        }
                    }
                    & > .__play-answers{

                        .header-answer{
                            padding: 10px 15px;
                            span{
                                font-size: 1.6rem;
                            }
                        }

                        .list-answers{
                            &__item{
                                .__answer-text{            
                                    padding: 8px 20px;
                                    span{
                                        font-size: 1.4rem;
                                        line-height: 1.4;
                                    }
                                }
                                .__result{
                                    width: 10rem;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@media only screen and (max-width: 960px) and (max-aspect-ratio:3999/3000) {
    .pt-o-game-tf3 {
        &__container{
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
        }
        &__left {
            width: 100%;
            height: 150px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: unset;
            padding: 10px;
        }
        &__right {
            width: 100%;
            height: calc(100% - 150px);
            position: relative;
            border-bottom-left-radius: 20px;
            border-top-right-radius: unset;

            & > .__container{
                padding: 1rem 1.6rem 1.4rem 1.6rem;

                & > .__header{
                    margin: 1rem 1.2rem;
                    .__description{
                        span{
                            font-size: 1.4rem;
                            line-height: 1.4;
                        }
                    }
                }

                & > .__content{
                    padding: 0 10px;
                    .__example{
                        .header-example{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-example{
                            margin-bottom: 1rem;

                            &:last-child{
                                margin-bottom: 0;
                            }
                            .__example-text{
                                flex: 1;
                                padding-right: 2rem;
                                span{
                                    font-size: 1.15rem;
                                    line-height: 1.4;
                                }
                            }
                            .__result{
                                width: auto;
                                flex: none;
                                span{
                                    font-size: 1.15rem;
                                }
                            }
                        }
                        
                    }
                    & > .__play-answers{
                        .header-answer{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-answers{
                            &__item{
                                .__result{
                                    width: 8rem;
                                    
                                }
                                .__answer-text{
                                    span{
                                        font-size: 1.2rem;
                                        line-height: 1.4;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-mobile-portrait {
    .pt-o-game-tf3 {
        &__container{
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
            padding: 0;
        }
        &__left {
            width: 100%;
            height: 150px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: unset;
            padding: 10px;
        }
        &__right {
            width: 100%;
            height: calc(100% - 150px);
            position: relative;
            border-bottom-left-radius: 20px;
            border-top-right-radius: unset;

            & > .__container{
                padding: 1rem 1.6rem 1.4rem 1.6rem;

                & > .__header{
                    max-height: 40%;
                    overflow: auto;
                    margin: 1rem 1.2rem;
                    .__description{
                        span{
                            font-size: 1.4rem;
                        }
                    }
                }

                & > .__content{
                    padding: 0 10px;
                    .__example{
                        padding: 10px;
                      .header-example{
                        span{
                            font-size: 1.2rem;
                        }
                      }
                      .list-example{
                        margin-bottom: 1rem;

                        &:last-child{
                            margin-bottom: 0;
                        }
                        .__example-text{
                            padding-right: 10px;
                            flex: 1;
                            span{
                                font-size: 1.15rem;
                            }
                        }
                        .__result{
                            width: auto;
                            flex: none;
                            span{
                                font-size: 1.15rem;
                            }
                        }
                      }  
                    }
                    & > .__play-answers{
                        .header-answer{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-answers{
                            &__item{
                                .__answer-text{
                                    span{
                                        font-size: 1.2rem;
                                    }
                                }
                                .__result{
                                    width: 8rem;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-1024-landscape {
    .pt-o-game-tf3 {
        &__container{
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
        }
        &__left {
            width: 40%;
            height: 100%;
            border-top-left-radius: 20px;
            border-bottom-left-radius: 20px;
            border-top-right-radius: 0px;
            padding: 20px;
        }
        &__right {
            width: 60%;
            height: 100%;
            position: relative;
            border-bottom-right-radius: 20px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: 0px;

            & > .__container{
                padding: 1rem 1.6rem 1.4rem 1.6rem;

                & > .__header{
                    margin: 1rem 1.2rem;
                    max-height: 40%;
                    overflow-y: auto;
                    .__description{
                        span{
                            font-size: 1.6rem;
                        }
                    }
                }
                & > .__content{
                    padding: 0 10px;
                    .__example{
                        .header-example{
                            span{
                                font-size: 1.4rem;
                            }
                        }
                        .list-example{
                            margin-bottom: 1rem;

                            &:last-child{
                                margin-bottom: 0;
                            }
                            .__example-text{
                                flex: 1;
                                padding-right: 2rem;
                                span{
                                    font-size: 1.35rem;
                                }
                            }
                            .__result{
                                width: auto;
                                flex: none;
                                span{
                                    font-size: 1.35rem;
                                }
                            }
                        }
                        
                    }
                    & > .__play-answers{
                        .header-answer{
                            span{
                                font-size: 1.4rem;
                            }
                        }
                        .list-answers{
                            &__item{
                                .__answer-text{
                                    span{
                                        font-size: 1.4rem;
                                    }
                                }
                                .__result{
                                    width: 8rem;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-960-landscape {
    .pt-o-game-tf3 {
        &__container{
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
        }
        &__left {
            width: 40%;
            height: 100%;
            border-top-left-radius: 20px;
            border-bottom-left-radius: 20px;
            border-top-right-radius: 0px;
            padding: 20px;
        }
        &__right {
            width: 60%;
            height: 100%;
            position: relative;
            border-bottom-right-radius: 20px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: 0px;

            & > .__container{
                padding: 1rem 1.6rem 1.4rem 1.6rem;

                & > .__header{
                    margin: 1rem 1.2rem;
                    .__description{
                        span{
                            font-size: 1.4rem;
                        }
                    }
                }
                & > .__content{
                    padding: 0 10px;
                    .__example{
                        .header-example{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-example{
                            margin-bottom: 1rem;

                            &:last-child{
                                margin-bottom: 0;
                            }
                            .__example-text{
                                flex: 1;
                                padding-right: 2rem;
                                span{
                                    font-size: 1.15rem;
                                }
                            }
                            .__result{
                                width: auto;
                                flex: none;
                                span{
                                    font-size: 1.15rem;
                                }
                            }
                        }
                        
                    }
                    & > .__play-answers{
                        .header-answer{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-answers{
                            &__item{
                                .__answer-text{
                                    span{
                                        font-size: 1.2rem;
                                    }
                                }
                                .__result{
                                    width: 8rem;
                                    span{
                                        font-size: 1.2rem;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@include screen-768-landscape {
    .pt-o-game-tf3 {
        &__container{
            height: auto;
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
        }
        &__left {
            width: 40%;
            height: 100%;
            border-top-left-radius: 20px;
            border-bottom-left-radius: 20px;
            border-top-right-radius: 0px;
            padding: 20px;
        }
        &__right {
            width: 60%;
            height: 100%;
            position: relative;
            border-bottom-right-radius: 20px;
            border-top-right-radius: 20px;
            border-bottom-left-radius: 0px;

            & > .__container{
                padding: 1rem 1.6rem 1.4rem 1.6rem;

                & > .__header{
                    margin: 1rem 1.2rem;
                    .__description{
                        span{
                            font-size: 1.4rem;
                        }
                    }
                }

                & > .__content{
                    padding: 0 10px;
                    .__example{
                        .header-example{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-example{
                            margin-bottom: 10px;

                            &:last-child{
                                margin-bottom: 0;
                            }
                            .__example-text{
                                flex: 1;
                                padding-right: 10px;
                                span{
                                    font-size: 1.15rem;
                                }
                            }
                            .__result{
                                width: auto;
                                flex: none;
                                span{
                                    font-size: 1.15rem;
                                }
                            }
                        }
                        
                    }
                    & > .__play-answers{
                        .header-answer{
                            span{
                                font-size: 1.2rem;
                            }
                        }
                        .list-answers{
                            &__item{
                                .__answer-text{
                                    span{
                                        font-size: 1.2rem;
                                    }
                                }
                                .__result{
                                    width: 8rem;
                                    span{
                                        font-size: 1.2rem;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
